Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 667600

Summary: app-admin/sudo-1.8.23-r2 test failure
Product: Gentoo Linux Reporter: Alexey <alexey+gentoo>
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED FIXED    
Severity: normal CC: alexey+gentoo, jstein, sam, telans
Priority: Normal Keywords: TESTFAILURE
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugzilla.sudo.ws/show_bug.cgi?id=1006
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
emerge --info

Description Alexey 2018-10-02 18:49:30 UTC
Created attachment 549038 [details]
build.log

sudoers/test19 (parse): FAIL
sudoers/test19 (json): FAIL
sudoers/test19: (ldif) FAIL
sudoers/test19: (ldif2sudo) FAIL
Comment 1 Alexey 2018-10-02 18:50:31 UTC
Created attachment 549042 [details]
emerge --info
Comment 2 Alexey 2018-11-19 21:48:21 UTC
The same in 1.8.25_p1-r1
Comment 3 Alexey 2019-08-10 10:24:03 UTC
Still happens on app-admin/sudo-1.8.27-r1
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2020-04-11 12:38:29 UTC
Still happens with latest sudo?
Comment 5 Alexey 2020-04-11 12:45:05 UTC
Looks like latest sudo doesn't have the test phase at all.
Comment 6 Alexey 2020-08-23 13:15:42 UTC
But happens again in app-admin/sudo-1.9.2
Comment 7 Sam James archtester gentoo-dev Security 2021-10-29 11:44:43 UTC
Happens for me if I try TZ=Pacific/Auckland (thanks telans!) and passes for him w/ TZ=UTC. Let's just force it given we do this sort of thing quite often in ebuilds anyway.

Not that I love it.
Comment 8 Larry the Git Cow gentoo-dev 2021-10-29 11:47:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbb08cb79e8edd1e3dbf27a221883933ec1ba1a6

commit bbb08cb79e8edd1e3dbf27a221883933ec1ba1a6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-29 11:46:10 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-29 11:46:36 +0000

    app-admin/sudo: fix tests with some timezones
    
    Force TZ=UTC for now. It's not ideal but we already
    have to do this quite often.
    
    Closes: https://bugs.gentoo.org/667600
    Thanks-to: James Beddek <telans@posteo.de>
    Signed-off-by: Sam James <sam@gentoo.org>

 app-admin/sudo/sudo-1.9.8_p2.ebuild | 5 +++++
 app-admin/sudo/sudo-9999.ebuild     | 5 +++++
 2 files changed, 10 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2021-10-31 22:51:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bad9cfc84030e607da0e86c44d6be48d05a5dfff

commit bad9cfc84030e607da0e86c44d6be48d05a5dfff
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-31 22:51:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-31 22:51:27 +0000

    app-admin/sudo: drop TZ=UTC hack from src_test in 9999
    
    Should be fixed in next release.
    
    Bug: https://bugs.gentoo.org/667600
    Signed-off-by: Sam James <sam@gentoo.org>

 app-admin/sudo/sudo-1.9.8_p2.ebuild | 1 +
 app-admin/sudo/sudo-9999.ebuild     | 5 -----
 2 files changed, 1 insertion(+), 5 deletions(-)